#include "target.h"
#include "../window.h"
namespace vulkanapi {
	void RenderTarget::InitSurface(Device& device, string name)
	{

	}
	RenderTarget* RenderTarget::MakeOutputTarget()
	{
		auto window = VulkanWindow::GetSingletonPtr();
		vector<Image*>& surfaces = window->GetSurface();
		uint32_t width, height;
		window->GetSize(width, height);
		return new RenderTarget(width, height, surfaces);
	}
	RenderTarget* RenderTarget::MakeDepthTarget()
	{
		return nullptr;
	}
	RenderTarget* RenderTarget::MakeColorTarget()
	{
		return nullptr;
	}
}

